# Create a Booked Quote This endpoint allows you to create a new booked quote and notifies the operator. Key Features - Creation: Generates a new quote with the provided details. - Notification: Notifies the operator upon successful quote creation. Why Use This Endpoint? Using this endpoint helps to streamline the quote creation process, it is an essential tool for managing quotes efficiently and effectively. Account Selection Logic When submitting a quote, the system will attempt to create or pick the account provided in the following order: 1. Account ID: If customer.account.accountid is provided and valid, the account is retrieved using the ID. 2. External Reference: If no account is found, the system will search for an account using the customer.account.externalReference field. 3. Account Name: If no account is found, the system will search for an account using the customer.account.name field. 4. Account Number: If both customer.account.name and customer.account.accountNumber fields are provided, the system will attempt to find a match. 5. User Full Name: If no account is found by the above methods, the system will search for an account using the user's full name (concatenation offirstName and lastName). Pricing Engine Note When the aircraft uses the pricing engine, a price will only be returned if the request satisfies the pricing rules defined by the operator. If no applicable pricing rule is matched, the returned price will be 0. To ensure accurate pricing, it is recommended to contact the operator directly for details on the specific conditions required for price calculation. Endpoint: POST /api/external/quote/book Version: 1.8.0 Security: API_AUTHENTICATION ## Request fields (application/json): - `aircraft` (string, required) - `customer` (object, required) - `customer.externalReference` (string) External reference Example: "665321646" - `customer.firstName` (string) First Name Example: "Luke" - `customer.lastName` (string) Last name Example: "Joe" - `customer.gender` (string) Gender Enum: "FEMALE", "MALE", "OTHER" - `customer.birthDate` (string) Date of birth Example: "1988-03-18" - `customer.birthPlace` (string) Place of birth Example: "Conroe" - `customer.acronym` (string) Acronym Example: "LJ" - `customer.birthCountry` (string) Country of birth Example: "US" - `customer.account` (object) - `customer.account.accountNumber` (string) Account number Example: 1111 - `customer.account.email` (string) Email address Example: "email@fl3xx.com" - `customer.account.mobile` (string) Mobile phone Example: 111111111 - `customer.account.name` (string) Account name Example: "Account" - `customer.account.notes` (string) Notes Example: "Notes" - `customer.account.phone` (string) Phone number Example: 111111111 - `customer.account.vatNumber` (string) VAT Number Example: "A11111111111" - `customer.account.address` (object) - `customer.account.address.buildingDetails` (string) Building details Example: "14th" - `customer.account.address.city` (string) City Example: "Lisbon" - `customer.account.address.country` (string) Country Example: "Portugal" - `customer.account.address.latitude` (number) Latitude Example: 0.1 - `customer.account.address.links` (object) - `customer.account.address.links.empty` (boolean) - `customer.account.address.longitude` (number) longitude Example: 0.1 - `customer.account.address.recipient` (string) Recipient Example: "Recipient" - `customer.account.address.street` (string) Street Example: "My Street" - `customer.account.address.type` (string) Enum: "WORK", "HOME", "OTHER", "APIS" - `customer.account.address.zip` (string) ZIP Code Example: 111111 - `customer.documentExpiration` (string) Expiration date Example: "2030-04-03" - `customer.documentExternalReference` (integer) Document reference Example: 69905 - `customer.documentNumber` (string) Document number Example: "CC4AA3390294NJ" - `customer.documentType` (string) Type of document Enum: "PASSPORT", "IDCARD", "VISA", "OTHER", "CREWID", "AIRPORT_ID", "DRIVING_LICENSE", "US_GLOBAL", "GREEN_CARD", "PILOT_LICENSE", "ALIEN_REGISTRATION_CARD", "PERMANENT_RESIDENCE_CARD", "FACILITATION_DOCUMENT", "MILITARY_CARD", "NEXUS_CARD", "REFUGEE_TRAVEL_DOCUMENT", "EXEMPT_FROM_IRPA_DOCUMENT", "REDRESS_NUMBER" - `customer.issueCountry` (string) Country of issue Example: "USA" - `customer.issueDate` (string) Issuance date Example: "2020-04-02" - `customer.logName` (string) - `customer.mobile` (string) Mobile phone number Example: 1111111111 - `customer.nationality` (string) Nationality Example: "US" - `customer.personnelNumber` (string) Personnel number Example: 996659598 - `customer.radiationProtectionRegistryId` (string) Radiation projection registry id Example: 1112221112221 - `customer.salutation` (string) Enum: "Mr", "Mrs", "Miss", "Ms", "unDef", "Dr", "Ing", "Prof", "Mag", "Captain", "Prince", "Princess", "Shaikh", "Shaikhah", "HRH", "HE", "Sir", "Lady", "Mx", "HM", "Sr", "Fr", "Br", "Rev", "Dr_Med", "Prof_Dr", "Lord" - `customer.siflType` (string) Enum: "CONTROL", "NON_CONTROL", "SECURITY" - `customer.status` (string) Record status Enum: "ACTIVE", "DELETED", "INACTIVE", "MIGRATED_US" - `customer.weight` (number) Weight Example: 80.5 - `customer.accessRight` (string) User access right. (This is customizable by the operator) Example: "External API" - `legs` (array, required) - `legs.arrivalAirport` (string) - `legs.arrivalAirportObj` (object) - `legs.arrivalAirportObj.aid` (string) AID Example: "APT-QAPF-UXNM" - `legs.arrivalAirportObj.faa` (string) FAA Example: "null" - `legs.arrivalAirportObj.iata` (string) IATA Example: "null" - `legs.arrivalAirportObj.icao` (string) ICAO Example: "OTBD" - `legs.arrivalAirportObj.id` (integer) FL3XX internal airport ID Example: 22024 - `legs.arrivalAirportObj.localIdentifier` (string) Local identifier Example: "null" - `legs.arrivalAirportObj.name` (string) Airport name Example: "Doha International Airport" - `legs.arrivalDate` (string) - `legs.arrivalDateUTC` (string) - `legs.blockTime` (integer) - `legs.comments` (string) - `legs.crew` (array) - `legs.crew.role` (string, required) REQUIRED. The crew role/qualification. Common values: - CMD: Captain (Pilot in Command) - FO: First Officer (Second in Command) - FA: Flight Attendant - CA: Cabin Assistant - DHC: Deadhead Crew - AUG_PIC: Augmented Pilot in Command - AUG_SIC: Augmented Second in Command - OBS: Observer - ENG: Onboard Engineer Enum: "CMD", "FO", "CC", "MED1", "ATPL", "LST", "AQ", "OPCRH", "PA", "FA", "CPL", "DG", "ESET", "Sec", "FF", "ENL4", "ENL5", "ENL6", "LC", "OPC", "LVTO", "LV", "RVSM", "TRI", "TRE", "AUS", "SQMM", "SECG", "BMVIT", "EFB", "GRT", "ESE", "OCC", "OICC", "PICC", "DITCH", "FAID", "WINTER", "BRNAV", "MNPS_ETOPS", "RACQ", "ETOPS", "TCAS", "CRM", "ASH", "USER0", "USER1", "USER2", "USER3", "USER4", "USER5", "USER6", "USER7", "USER8", "USER9", "ENG", "AUGM_CREW", "ADD_CREW", "CREW", "IR", "HW_OPS", "PBN", "PFI", "FM", "SEP", "SEP_IR", "FI_A", "MEP", "CR", "RC", "OBS", "DHC", "EX_CM", "AUG_PIC", "AUG_SIC", "AUG_CRP", "INSTRUCTOR", "CHECK_AIRMAN", "GROUND_INSTRUCTOR", "AUG_FA", "CA", "MD", "RN", "MEDIC", "MAINTENANCE", "JUMPSEAT", "LOAD_MASTER", "OPS_CONTROL", "FLIGHT_COORDINATOR", "COURIER", "NR", "INSPECTOR", "COMPANY_REP", "SINGLE_PILOT", "ADD_FCM", "ADD_CCM" - `legs.crew.pilotId` (integer) REQUIRED (unless using externalReference or logName). The unique identifier of the pilot/crew member. - `legs.crew.crewPosition` (object) - `legs.crew.crewPosition.id` (integer) - `legs.crew.crewPosition.role` (string) Enum: "CMD", "FO", "CC", "MED1", "ATPL", "LST", "AQ", "OPCRH", "PA", "FA", "CPL", "DG", "ESET", "Sec", "FF", "ENL4", "ENL5", "ENL6", "LC", "OPC", "LVTO", "LV", "RVSM", "TRI", "TRE", "AUS", "SQMM", "SECG", "BMVIT", "EFB", "GRT", "ESE", "OCC", "OICC", "PICC", "DITCH", "FAID", "WINTER", "BRNAV", "MNPS_ETOPS", "RACQ", "ETOPS", "TCAS", "CRM", "ASH", "USER0", "USER1", "USER2", "USER3", "USER4", "USER5", "USER6", "USER7", "USER8", "USER9", "ENG", "AUGM_CREW", "ADD_CREW", "CREW", "IR", "HW_OPS", "PBN", "PFI", "FM", "SEP", "SEP_IR", "FI_A", "MEP", "CR", "RC", "OBS", "DHC", "EX_CM", "AUG_PIC", "AUG_SIC", "AUG_CRP", "INSTRUCTOR", "CHECK_AIRMAN", "GROUND_INSTRUCTOR", "AUG_FA", "CA", "MD", "RN", "MEDIC", "MAINTENANCE", "JUMPSEAT", "LOAD_MASTER", "OPS_CONTROL", "FLIGHT_COORDINATOR", "COURIER", "NR", "INSPECTOR", "COMPANY_REP", "SINGLE_PILOT" - `legs.crew.crewPosition.name` (string) - `legs.crew.crewPosition.code` (string) - `legs.crew.crewPosition.crewType` (string) Enum: "FLIGHT_DECK", "CABIN" - `legs.crew.crewPosition.disableFtFdpCalculation` (boolean) - `legs.crew.crewPosition.assignable` (boolean) - `legs.crew.crewPosition.typeRatingRelated` (boolean) - `legs.crew.externalReference` (string) Optional. Alternative to pilotId for identifying crew members. Used if pilotId is not provided. - `legs.crew.logName` (string) Optional. Alternative to pilotId for identifying crew members. Used if pilotId and externalReference are not provided. - `legs.crew.firstName` (string) Optional. Only used when updateCrewUsers=true to create or update the crew member's first name. - `legs.crew.middleName` (string) Optional. Only used when updateCrewUsers=true to create or update the crew member's middle name. - `legs.crew.lastName` (string) Optional. Only used when updateCrewUsers=true to create or update the crew member's last name. - `legs.crew.email` (string) Optional. Only used when updateCrewUsers=true to update the crew member's email. - `legs.crew.phone` (string) Optional. Only used when updateCrewUsers=true to update the crew member's phone number. - `legs.crew.mobile` (string) Optional. Only used when updateCrewUsers=true to update the crew member's mobile number. - `legs.crew.gender` (string) Optional. Only used when updateCrewUsers=true to update the crew member's gender. Enum: "FEMALE", "MALE", "OTHER" - `legs.crew.trigram` (string) Optional. Only used when updateCrewUsers=true to update the crew member's trigram/nickname. - `legs.crew.weight` (number) Optional. Only used when updateCrewUsers=true to update the crew member's weight. - `legs.crew.weightUnit` (string) Optional. Only used when updateCrewUsers=true to update the crew member's weight unit. Enum: "KILOGRAM", "POUND" - `legs.crew.luggageWeight` (number) Optional. Only used when updateCrewUsers=true to update the crew member's luggage weight. - `legs.crew.luggageUnit` (string) Optional. Only used when updateCrewUsers=true to update the crew member's luggage weight unit. Enum: "KILOGRAM", "POUND" - `legs.crew.personnelNumber` (string) Optional. Only used when updateCrewUsers=true to update the crew member's personnel number. - `legs.crew.isPilotLanding` (boolean) Optional. If true, sets the landing count to 1. Can be overridden by explicitly setting the landings field. - `legs.crew.isPilotTakeoff` (boolean) Optional. If true, sets the takeoff count to 1. Can be overridden by explicitly setting the takeOffs field. - `legs.crew.landings` (integer) Optional. Number of landings performed by this crew member on this flight. If isPilotLanding is true and this field is not set, it defaults to 1. - `legs.crew.takeOffs` (integer) Optional. Number of takeoffs performed by this crew member on this flight. If isPilotTakeoff is true and this field is not set, it defaults to 1. - `legs.crew.nightLandings` (integer) Optional. Number of night landings performed by this crew member on this flight. - `legs.crew.nightTakeOffs` (integer) Optional. Number of night takeoffs performed by this crew member on this flight. - `legs.crew.checkIn` (string) Optional. Crew member check-in/report time in ISO 8601 format (yyyy-MM-dd'T'HH:mm:ss'Z'). - `legs.crew.checkOut` (string) Optional. Crew member check-out/close time in ISO 8601 format (yyyy-MM-dd'T'HH:mm:ss'Z'). - `legs.departureAirport` (string) - `legs.departureAirportObj` (object) - `legs.departureDate` (string) - `legs.departureDateUTC` (string) - `legs.distance` (number) - `legs.flightInfo` (object) - `legs.flightInfo.dossierNumber` (string) - `legs.flightInfo.flightId` (integer) - `legs.flightInfo.flightType` (string) Enum: "CARGO", "TRAINING", "CHECK_FLIGHT", "MAINTENANCE_FLIGHT", "FERRY_CREW_CHANGE", "FERRY_CARGO", "FERRY_RETURN_BASE", "FERRY_TECHNICAL_PROBLEM", "PAX_FLIGHT", "FERRY_CREW_CHANGE_PAX", "FERRY_PAX", "FERRY_RETURN_BASE_PAX" - `legs.flightInfo.referenceNumber` (string) - `legs.flightTime` (integer) - `legs.fplType` (string) Enum: "N", "G", "X", "M", "S" - `legs.fuelStop` (boolean) - `legs.notes` (string) - `legs.pax` (integer) - `legs.planningNotes` (string) - `legs.postFlightClosed` (boolean) - `legs.requestedAircraftType` (string) Enum: "CJ3", "PC12", "PC24", "PC12/CJ3", "PC12/PC24", "CHART", "SF50" - `legs.seatsAfter` (integer) - `legs.snapshotOfLegId` (integer) - `legs.status` (string) Enum: "OK", "CANCELED" - `legs.taskType` (string) Enum: "MAINTENANCE", "RESERVED", "AOG", "CREW_UNAVAILABLE", "NOTE", "FLIGHT", "UNSCHEDULED_MAINTENANCE", "LOCATION" - `legs.techStop` (boolean) - `legs.tripNumber` (integer) - `legs.warnings` (array) - `legs.workflow` (string) Enum: "COMMERCIAL", "MAINTENANCE", "PRIVATE", "TRAINING", "OWNER", "INTERNAL", "RESERVED", "CHARTER", "SUBCHARTER", "SCHEDULED", "AMBULANCE", "CUSTOM1", "CUSTOM2", "CUSTOM3", "CUSTOM4", "CUSTOM5", "CUSTOM6", "BROKER", "BROKER_SUBCHARTER" - `legs.workflowCustomName` (string) - `accountPrice` (object) - `accountPrice.charterCost` (number) Charter cost - `accountPrice.currency` (string) Currency Example: "USD" - `accountPrice.exchangeRate` (number) Exchange rate Example: 1 - `accountPrice.fet` (number) Value of FET - `accountPrice.gross` (number) The total gross amount Example: 141785 - `accountPrice.invoiceDate` (string) Invoice date Example: "2024-10-24T15:56" - `accountPrice.invoiceNumber` (string) Invoice number Example: "4568ASEF854" - `accountPrice.net` (number) The net amount Example: 141785 - `accountPrice.tax` (number) The tax applied Example: 385 - `accountPrice.vat` (number) The VAT applied - `accountPrice.vatPerc` (number) The VAT percentage applied - `autoCreatePosFlights` (boolean) - `avinodeQuoteId` (string) - `bookingid` (integer) - `comment` (string) - `externalReference` (string) - `origin` (string) Enum: "AVINODE", "FAX", "EMAIL", "PHONE", "WEB", "EXTERNAL_DISPATCH", "IMPORT", "DISPATCH", "FLY_EASY_MARKETPLACE", "FLY_EASY_WEB" - `price` (object) - `quoteNumber` (string) - `quotePrice` (object) - `rootBookingid` (integer) - `sourcingBookingId` (integer) - `sourcingBookingReference` (string) - `externalNotes` (string) External notes for the quote - `externalPrice` (number) External price for the quote (might not be the same as the value created in the FL3XX system) - `externalPriceCurrency` (string) External price currency for the quote (might not be the same as the value created in the FL3XX system) ## Response 200 fields (application/json): - `accountPrice` (object) - `accountPrice.charterCost` (number) Charter cost - `accountPrice.currency` (string) Currency Example: "USD" - `accountPrice.exchangeRate` (number) Exchange rate Example: 1 - `accountPrice.fet` (number) Value of FET - `accountPrice.gross` (number) The total gross amount Example: 141785 - `accountPrice.invoiceDate` (string) Invoice date Example: "2024-10-24T15:56" - `accountPrice.invoiceNumber` (string) Invoice number Example: "4568ASEF854" - `accountPrice.net` (number) The net amount Example: 141785 - `accountPrice.tax` (number) The tax applied Example: 385 - `accountPrice.vat` (number) The VAT applied - `accountPrice.vatPerc` (number) The VAT percentage applied - `aircraft` (string) Aircraft registration Example: "A7-XYZ" - `aircraftObj` (object) - `aircraftObj.aircraftName` (string) Aircraft name Example: "G650" - `aircraftObj.ambulance` (boolean) Has ambulance - `aircraftObj.aocNumber` (string) Indicates AOC name Example: "test-aoc-number" - `aircraftObj.bedsN` (integer) Number of beds Example: 3 - `aircraftObj.beltedToilet` (boolean) Has belted toilet - `aircraftObj.cabinCrew` (integer) Number of Cabin Crew Example: 1 - `aircraftObj.cabinHeight` (number) Cabin height Example: 1.85 - `aircraftObj.cabinLength` (number) Cabin length Example: 14.76 - `aircraftObj.cabinWidth` (number) Cabin width Example: 2.49 - `aircraftObj.cargo` (boolean) Has cargo Example: true - `aircraftObj.category` (string) Aircraft category Enum: "PISTON", "TURBO_PROP", "VERY_LIGHT_JET", "LIGHT_JET", "SUPER_LIGHT_JET", "MIDSIZE_JET", "SUPER_MIDSIZE_JET", "HEAVY_JET", "ULTRA_LONG_RANGE_JET", "VIP_JET", "AIRLINER", "AMPHIBIAN", "GYROCOPTER", "HELICOPTER", "SEA_PLANE", "TILT_ROTOR" - `aircraftObj.equipment` (object) - `aircraftObj.equipment.baggageVolume` (number) Baggage volume Example: 493 - `aircraftObj.equipment.cd_dvd` (boolean) Indicates whether CD/DVD is available or not Example: true - `aircraftObj.equipment.coffeePot` (boolean) Indicates whether a coffee pot is available or not - `aircraftObj.equipment.enclosedLavatory` (boolean) Indicates whether an enclosed lavatory is available or not - `aircraftObj.equipment.entertainmentSystem` (boolean) Indicates whether an entertainment system is available or not Example: true - `aircraftObj.equipment.espresso` (boolean) Indicates whether espresso is available or not Example: true - `aircraftObj.equipment.golfBags` (boolean) Indicates whether golf bags are available or not - `aircraftObj.equipment.headsets` (boolean) Indicates whether headsets is available or not Example: true - `aircraftObj.equipment.iceBin` (boolean) Indicates whether an ice-bin is available or not Example: true - `aircraftObj.equipment.lavatory` (boolean) Indicates whether a lavatory is available or not Example: true - `aircraftObj.equipment.maxWeight` (number) Max weight Example: 2170 - `aircraftObj.equipment.microwaveOven` (boolean) Indicates whether microwave oven is available or not Example: true - `aircraftObj.equipment.petsAllowed` (boolean) Indicates whether pets are allowed or not Example: true - `aircraftObj.equipment.satPhone` (boolean) Indicates whether satellite phone is available or not Example: true - `aircraftObj.equipment.satTV` (boolean) Indicates whether satellite tv is available or not - `aircraftObj.equipment.skiTube` (boolean) Indicates whether ski tube is available or not - `aircraftObj.equipment.smokingAllowed` (boolean) Indicates whether smoking is allowed or not. - `aircraftObj.equipment.standardSuitcases` (integer) Indicates the number of Standard Suitcases Example: 18 - `aircraftObj.equipment.tv` (boolean) Indicates whether tv is available or not. Example: true - `aircraftObj.equipment.v110` (boolean) Indicates whether there is 110V socket available Example: true - `aircraftObj.equipment.v230` (boolean) Indicates whether there is 230V socket available - `aircraftObj.equipment.warmingOven` (boolean) Indicates whether a warming oven is available or not. Example: true - `aircraftObj.equipment.wifi` (boolean) Indicates whether wi-fi is available or not. Example: true - `aircraftObj.externalHeight` (number) External height - `aircraftObj.externalLength` (number) External length - `aircraftObj.flightNumberToken` (string) This indicates the formatting of the flight numbers Example: "FLX001" - `aircraftObj.homebase` (string) Home base Example: "LOWW" - `aircraftObj.id` (integer) Aircraft's internal ID in FL3XX Example: 2141 - `aircraftObj.keyAccountManager` (object) - `aircraftObj.keyAccountManager.internalId` (integer) Internal ID Example: 485949 - `aircraftObj.keyAccountManager.externalReference` (string) External reference Example: "665321646" - `aircraftObj.keyAccountManager.firstName` (string) First Name Example: "Luke" - `aircraftObj.keyAccountManager.lastName` (string) Last name Example: "Joe" - `aircraftObj.keyAccountManager.gender` (string) Gender Enum: "FEMALE", "MALE", "OTHER" - `aircraftObj.keyAccountManager.birthDate` (string) Date of birth Example: "1988-03-18" - `aircraftObj.keyAccountManager.birthPlace` (string) Place of birth Example: "Conroe" - `aircraftObj.keyAccountManager.acronym` (string) Acronym Example: "LJ" - `aircraftObj.keyAccountManager.birthCountry` (string) Country of birth Example: "US" - `aircraftObj.keyAccountManager.account` (object) - `aircraftObj.keyAccountManager.account.accountNumber` (string) Account number Example: 1111 - `aircraftObj.keyAccountManager.account.accountid` (integer) FL3XX generated account ID Example: 1111 - `aircraftObj.keyAccountManager.account.email` (string) Email address Example: "email@fl3xx.com" - `aircraftObj.keyAccountManager.account.mobile` (string) Mobile phone Example: 111111111 - `aircraftObj.keyAccountManager.account.name` (string) Account name Example: "Account" - `aircraftObj.keyAccountManager.account.notes` (string) Notes Example: "Notes" - `aircraftObj.keyAccountManager.account.phone` (string) Phone number Example: 111111111 - `aircraftObj.keyAccountManager.account.vatNumber` (string) VAT Number Example: "A11111111111" - `aircraftObj.keyAccountManager.account.address` (object) - `aircraftObj.keyAccountManager.account.address.buildingDetails` (string) Building details Example: "14th" - `aircraftObj.keyAccountManager.account.address.city` (string) City Example: "Lisbon" - `aircraftObj.keyAccountManager.account.address.country` (string) Country Example: "Portugal" - `aircraftObj.keyAccountManager.account.address.latitude` (number) Latitude Example: 0.1 - `aircraftObj.keyAccountManager.account.address.links` (object) - `aircraftObj.keyAccountManager.account.address.links.empty` (boolean) - `aircraftObj.keyAccountManager.account.address.longitude` (number) longitude Example: 0.1 - `aircraftObj.keyAccountManager.account.address.recipient` (string) Recipient Example: "Recipient" - `aircraftObj.keyAccountManager.account.address.street` (string) Street Example: "My Street" - `aircraftObj.keyAccountManager.account.address.type` (string) Enum: "WORK", "HOME", "OTHER", "APIS" - `aircraftObj.keyAccountManager.account.address.zip` (string) ZIP Code Example: 111111 - `aircraftObj.keyAccountManager.documentExpiration` (string) Expiration date Example: "2030-04-03" - `aircraftObj.keyAccountManager.documentExternalReference` (integer) Document reference Example: 69905 - `aircraftObj.keyAccountManager.documentNumber` (string) Document number Example: "CC4AA3390294NJ" - `aircraftObj.keyAccountManager.documentType` (string) Type of document Enum: "PASSPORT", "IDCARD", "VISA", "OTHER", "CREWID", "AIRPORT_ID", "DRIVING_LICENSE", "US_GLOBAL", "GREEN_CARD", "PILOT_LICENSE", "ALIEN_REGISTRATION_CARD", "PERMANENT_RESIDENCE_CARD", "FACILITATION_DOCUMENT", "MILITARY_CARD", "NEXUS_CARD", "REFUGEE_TRAVEL_DOCUMENT", "EXEMPT_FROM_IRPA_DOCUMENT", "REDRESS_NUMBER" - `aircraftObj.keyAccountManager.issueCountry` (string) Country of issue Example: "USA" - `aircraftObj.keyAccountManager.issueDate` (string) Issuance date Example: "2020-04-02" - `aircraftObj.keyAccountManager.logName` (string) - `aircraftObj.keyAccountManager.mobile` (string) Mobile phone number Example: 1111111111 - `aircraftObj.keyAccountManager.nationality` (string) Nationality Example: "US" - `aircraftObj.keyAccountManager.personnelNumber` (string) Personnel number Example: 996659598 - `aircraftObj.keyAccountManager.radiationProtectionRegistryId` (string) Radiation projection registry id Example: 1112221112221 - `aircraftObj.keyAccountManager.salutation` (string) Enum: "Mr", "Mrs", "Miss", "Ms", "unDef", "Dr", "Ing", "Prof", "Mag", "Captain", "Prince", "Princess", "Shaikh", "Shaikhah", "HRH", "HE", "Sir", "Lady", "Mx", "HM", "Sr", "Fr", "Br", "Rev", "Dr_Med", "Prof_Dr", "Lord" - `aircraftObj.keyAccountManager.siflType` (string) Enum: "CONTROL", "NON_CONTROL", "SECURITY" - `aircraftObj.keyAccountManager.status` (string) Record status Enum: "ACTIVE", "DELETED", "INACTIVE", "MIGRATED_US" - `aircraftObj.keyAccountManager.weight` (number) Weight Example: 80.5 - `aircraftObj.keyAccountManager.accessRight` (string) User access right. (This is customizable by the operator) Example: "External API" - `aircraftObj.manufacturingDate` (integer) Manufacturing year Example: 2009 - `aircraftObj.maxFuel` (number) Max fuel - `aircraftObj.model` (string) Aircraft model Example: "G-7 Gulfstream G500" - `aircraftObj.numberOfSeats` (integer) Number of seats Example: 13 - `aircraftObj.ownersApprovalRequired` (boolean) Requires owner approval - `aircraftObj.refurbished` (integer) Year the aircraft was refurbished Example: 2016 - `aircraftObj.refurbishedInt` (integer) Year an interior of the aircraft was refurbished Example: 2024 - `aircraftObj.status` (string) Aircraft status Enum: "ACTIVE", "DELETED", "INACTIVE", "DRAFT", "DUMMY" - `aircraftObj.subcharter` (boolean) Indicates if it is a subcharter aircraft - `aircraftObj.tailNumber` (string) Tail number Example: "A7-XYZ" - `aircraftObj.type` (string) Aircraft type Example: "GA5C" - `aircraftObj.typeName` (string) Aircraft type name Example: "G650" - `aircraftObj.wingSpan` (number) Wingspan - `autoCreatePosFlights` (boolean) When set to true the positioning flights will be included. - `avinodeQuoteId` (string) Avinode RFQ id Example: "A7BJU89" - `bookingDateUTC` (string) The booking's date - `bookingIdentifier` (string) Booking identifier Example: "SAEHD" - `bookingid` (integer) FL3XX's booking ID Example: 5263654 - `comment` (string) Notes about the booking Example: "Booking comments" - `createdDate` (string) Booking's creation date in milliseconds - `customer` (object) - `externalReference` (string) - `internalId` (integer) - `legs` (array) - `legs.arrivalAirport` (string) Arrival airport Example: "FNLU" - `legs.arrivalAirportObj` (object) - `legs.arrivalAirportObj.aid` (string) AID Example: "APT-QAPF-UXNM" - `legs.arrivalAirportObj.faa` (string) FAA Example: "null" - `legs.arrivalAirportObj.iata` (string) IATA Example: "null" - `legs.arrivalAirportObj.icao` (string) ICAO Example: "OTBD" - `legs.arrivalAirportObj.id` (integer) FL3XX internal airport ID Example: 22024 - `legs.arrivalAirportObj.localIdentifier` (string) Local identifier Example: "null" - `legs.arrivalAirportObj.name` (string) Airport name Example: "Doha International Airport" - `legs.arrivalDate` (string) Arrival date - `legs.arrivalDateUTC` (string) Arrival date in UTC - `legs.blockTime` (integer) Block-time Example: 758 - `legs.comments` (string) - `legs.crew` (array) - `legs.crew.crewPosition` (object) - `legs.crew.crewPosition.assignable` (boolean) - `legs.crew.crewPosition.code` (string) - `legs.crew.crewPosition.crewType` (string) Enum: "FLIGHT_DECK", "CABIN" - `legs.crew.crewPosition.disableFtFdpCalculation` (boolean) - `legs.crew.crewPosition.id` (integer) - `legs.crew.crewPosition.name` (string) - `legs.crew.crewPosition.role` (string) Enum: "CMD", "FO", "CC", "MED1", "ATPL", "LST", "AQ", "OPCRH", "PA", "FA", "CPL", "DG", "ESET", "Sec", "FF", "ENL4", "ENL5", "ENL6", "LC", "OPC", "LVTO", "LV", "RVSM", "TRI", "TRE", "AUS", "SQMM", "SECG", "BMVIT", "EFB", "GRT", "ESE", "OCC", "OICC", "PICC", "DITCH", "FAID", "WINTER", "BRNAV", "MNPS_ETOPS", "RACQ", "ETOPS", "TCAS", "CRM", "ASH", "USER0", "USER1", "USER2", "USER3", "USER4", "USER5", "USER6", "USER7", "USER8", "USER9", "ENG", "AUGM_CREW", "ADD_CREW", "CREW", "IR", "HW_OPS", "PBN", "PFI", "FM", "SEP", "SEP_IR", "FI_A", "MEP", "CR", "RC", "OBS", "DHC", "EX_CM", "AUG_PIC", "AUG_SIC", "AUG_CRP", "INSTRUCTOR", "CHECK_AIRMAN", "GROUND_INSTRUCTOR", "AUG_FA", "CA", "MD", "RN", "MEDIC", "MAINTENANCE", "JUMPSEAT", "LOAD_MASTER", "OPS_CONTROL", "FLIGHT_COORDINATOR", "COURIER", "NR", "INSPECTOR", "COMPANY_REP", "SINGLE_PILOT" - `legs.crew.crewPosition.typeRatingRelated` (boolean) - `legs.crew.email` (string) - `legs.crew.firstName` (string) - `legs.crew.gender` (string) Enum: "FEMALE", "MALE", "OTHER" - `legs.crew.isPilotLanding` (boolean) - `legs.crew.isPilotTakeoff` (boolean) - `legs.crew.lastName` (string) - `legs.crew.luggageUnit` (string) Enum: "KILOGRAM", "POUND" - `legs.crew.luggageWeight` (number) - `legs.crew.middleName` (string) - `legs.crew.mobile` (string) - `legs.crew.personnelNumber` (string) - `legs.crew.phone` (string) - `legs.crew.pilotId` (integer) - `legs.crew.trigram` (string) - `legs.crew.weight` (number) - `legs.crew.weightUnit` (string) Enum: "KILOGRAM", "POUND" - `legs.departureAirport` (string) Departure airport Example: "KTEB" - `legs.departureAirportObj` (object) - `legs.departureDate` (string) Departure date - `legs.departureDateUTC` (string) Departure date in UTC - `legs.distance` (number) Distance Example: 5815 - `legs.flightInfo` (object) - `legs.flightInfo.dossierNumber` (string) - `legs.flightInfo.flightId` (integer) - `legs.flightInfo.flightType` (string) Enum: "CARGO", "TRAINING", "CHECK_FLIGHT", "MAINTENANCE_FLIGHT", "FERRY_CREW_CHANGE", "FERRY_CARGO", "FERRY_RETURN_BASE", "FERRY_TECHNICAL_PROBLEM", "PAX_FLIGHT", "FERRY_CREW_CHANGE_PAX", "FERRY_PAX", "FERRY_RETURN_BASE_PAX" - `legs.flightInfo.referenceNumber` (string) - `legs.flightTime` (integer) Flight time Example: 416 - `legs.fplType` (string) Indicates an FPL type Enum: "N", "G", "X", "M", "S" - `legs.fuelStop` (boolean) Indicates whether the flight requires fuel stop Example: true - `legs.notes` (string) - `legs.pax` (integer) PAX - `legs.planningNotes` (string) Flight PLanning notes Example: "Possible delays due to the ATC strike" - `legs.postFlightClosed` (boolean) Indicates if post flight is closed - `legs.requestedAircraftType` (string) Requested aircraft type Enum: "CJ3", "PC12", "PC24", "PC12/CJ3", "PC12/PC24", "CHART", "SF50" - `legs.seatsAfter` (integer) Number of seats after BOOKing Example: 9 - `legs.snapshotOfLegId` (integer) - `legs.status` (string) Leg status Enum: "OK", "CANCELED" - `legs.taskType` (string) Timeline activity type Enum: "MAINTENANCE", "RESERVED", "AOG", "CREW_UNAVAILABLE", "NOTE", "FLIGHT", "UNSCHEDULED_MAINTENANCE", "LOCATION" - `legs.techStop` (boolean) Indicates whether the flight requires tech stop - `legs.tripNumber` (integer) Trip number Example: 569845 - `legs.warnings` (array) Warning associated with the leg - `legs.workflow` (string) Workflow Enum: "COMMERCIAL", "MAINTENANCE", "PRIVATE", "TRAINING", "OWNER", "INTERNAL", "RESERVED", "CHARTER", "SUBCHARTER", "SCHEDULED", "AMBULANCE", "CUSTOM1", "CUSTOM2", "CUSTOM3", "CUSTOM4", "CUSTOM5", "CUSTOM6", "BROKER", "BROKER_SUBCHARTER" - `legs.workflowCustomName` (string) Workflow custom name Example: "704" - `origin` (string) Indicates what is the origin of the Quote Enum: "AVINODE", "FAX", "EMAIL", "PHONE", "WEB", "EXTERNAL_DISPATCH", "IMPORT", "DISPATCH", "FLY_EASY_MARKETPLACE", "FLY_EASY_WEB" - `postFlightClosed` (boolean) Indicates whether the Post Flight has been closed Example: true - `price` (object) - `quoteNumber` (string) - `quotePrice` (object) - `rootBookingid` (integer) - `salesPerson` (object) - `sourcingBookingId` (integer) - `sourcingBookingReference` (string) - `status` (string) Status Possible values: * R: New Request. * a: New Avinode Request. * W: New Web Request. * Q: Quote (= Request that has been answered). * A: Accepted Quote. * O: Owner’s Approval pending (if applicable). * S: Signed. * B: Booking. * F: Flights pending (everything else is done). * C: Canceled Quote/ Booking. * D: Dropped (when the flights of an unanswered Request are in the past, the Request is Dropped automatically). Enum: "R", "a", "W", "Q", "A", "O", "S", "B", "F", "C", "D" - `tripNumber` (integer) - `workflow` (string) Indicates what is the type workflow of the leg Enum: "COMMERCIAL", "MAINTENANCE", "PRIVATE", "TRAINING", "OWNER", "INTERNAL", "RESERVED", "CHARTER", "SUBCHARTER", "SCHEDULED", "AMBULANCE", "CUSTOM1", "CUSTOM2", "CUSTOM3", "CUSTOM4", "CUSTOM5", "CUSTOM6", "BROKER", "BROKER_SUBCHARTER" - `workflowCustomName` (string) Indicates what is the name of the leg's workflow Example: "704" - `externalNotes` (string) External notes for the quote - `externalPrice` (number) External price for the quote (might not be the same as the value created in the FL3XX system) - `externalPriceCurrency` (string) External price currency for the quote (might not be the same as the value created in the FL3XX system) ## Response 201 fields ## Response 401 fields ## Response 403 fields